CREATE FUNCTION m_siemens_cell_radio_link_control_4_day() RETURNING INTEGER;

DEFINE pday INTEGER;
DEFINE count INTEGER;
let count = 0;

FOREACH 
SELECT unique(day) INTO pday FROM siemens_cell_radio_link_control_day

INSERT INTO siemens_cell_radio_link_control_4_day
(nc_id,
cell_id,
day,
siemens_cell_rlc_busy_hour,
tot_max_rlc_data_throughput,
avg_max_rlc_data_throughput,
min_max_rlc_data_throughput,
max_max_rlc_data_throughput,
secrlcbh_max_rlc_data_throughput,
secrlctbh_max_rlc_data_throughput,
sectchbh_max_rlc_data_throughput
)

SELECT
nc_id,
cell_id,
day,
siemens_cell_rlc_busy_hour,
CASE
WHEN (tot_rlc_user_data_throughput_ul+tot_rlc_sgnl_data_throughput_ul) >= 
(tot_rlc_user_data_throughput_dl+tot_rlc_sgnl_data_throughput_dl)  THEN 
(tot_rlc_user_data_throughput_ul+tot_rlc_sgnl_data_throughput_ul)
ELSE (tot_rlc_user_data_throughput_dl+tot_rlc_sgnl_data_throughput_dl)
END,
CASE
WHEN (avg_rlc_user_data_throughput_ul+avg_rlc_sgnl_data_throughput_ul) >= 
(avg_rlc_user_data_throughput_dl+avg_rlc_sgnl_data_throughput_dl)  THEN 
(avg_rlc_user_data_throughput_ul+avg_rlc_sgnl_data_throughput_ul)
ELSE (avg_rlc_user_data_throughput_dl+avg_rlc_sgnl_data_throughput_dl)
END,
CASE
WHEN (min_rlc_user_data_throughput_ul+min_rlc_sgnl_data_throughput_ul) >= 
(min_rlc_user_data_throughput_dl+min_rlc_sgnl_data_throughput_dl)  THEN 
(min_rlc_user_data_throughput_ul+min_rlc_sgnl_data_throughput_ul)
ELSE (min_rlc_user_data_throughput_dl+min_rlc_sgnl_data_throughput_dl)
END,
CASE
WHEN (max_rlc_user_data_throughput_ul+max_rlc_sgnl_data_throughput_ul) >= 
(max_rlc_user_data_throughput_dl+max_rlc_sgnl_data_throughput_dl)  THEN 
(max_rlc_user_data_throughput_ul+max_rlc_sgnl_data_throughput_ul)
ELSE (max_rlc_user_data_throughput_dl+max_rlc_sgnl_data_throughput_dl)
END,
CASE
WHEN (secrlcbh_rlc_user_data_throughput_ul+secrlcbh_rlc_sgnl_data_throughput_ul) >= 
(secrlcbh_rlc_user_data_throughput_dl+secrlcbh_rlc_sgnl_data_throughput_dl)  THEN 
(secrlcbh_rlc_user_data_throughput_ul+secrlcbh_rlc_sgnl_data_throughput_ul)
ELSE (secrlcbh_rlc_user_data_throughput_dl+secrlcbh_rlc_sgnl_data_throughput_dl)
END,
CASE
WHEN (secrlctbh_rlc_user_data_throughput_ul+secrlctbh_rlc_sgnl_data_throughput_ul) >= 
(secrlctbh_rlc_user_data_throughput_dl+secrlctbh_rlc_sgnl_data_throughput_dl)  THEN 
(secrlctbh_rlc_user_data_throughput_ul+secrlctbh_rlc_sgnl_data_throughput_ul)
ELSE (secrlctbh_rlc_user_data_throughput_dl+secrlctbh_rlc_sgnl_data_throughput_dl)
END,
CASE
WHEN (sectchbh_rlc_user_data_throughput_ul+sectchbh_rlc_sgnl_data_throughput_ul) >= 
(sectchbh_rlc_user_data_throughput_dl+sectchbh_rlc_sgnl_data_throughput_dl)  THEN 
(sectchbh_rlc_user_data_throughput_ul+sectchbh_rlc_sgnl_data_throughput_ul)
ELSE (sectchbh_rlc_user_data_throughput_dl+sectchbh_rlc_sgnl_data_throughput_dl)
END

FROM

siemens_cell_radio_link_control_day

WHERE siemens_cell_radio_link_control_day.day= (pday);

LET count = count + 1;

END FOREACH;

RETURN count;

END FUNCTION;

EXECUTE FUNCTION m_siemens_cell_radio_link_control_4_day();

DROP FUNCTION m_siemens_cell_radio_link_control_4_day;
